DM_DATE(1)

NAME
dm_date - print out the system date and time

SYNOPSIS
This performs the same operation as the unix 'date' command, but using the Date::Manip module.

   dm_date [OPTION]... [+FORMAT]

DESCRIPTION
This displays information about the current system time, or some other time. Options are:

-h, --help
    Print online help.

-d STRING, --date=STRING
    Display time described by STRING. STRING can be any string which can be parsed by Date::Manip. Please refer to the Date::Manip::Date documentation for details.

-f DATEFILE, --file=DATEFILE
    This reads each line in DATEFILE, and extracts a date from it and prints out the information.

    Blank lines and lines starting with a pound (#) are ignored. Lines not containing a valid date are also ignored.

-r FILE, --reference=FILE
    Displays the last modification time of FILE.

-R, --rfc-2822
    Displayc the date and time in RFC 2822 format.

    Example: Mon, 07 Aug 2006 12:34:56 -0600

-u, --utc, --universal
    Converts the date to UT (GMT) and prints out the information.

Only one of -d, -f, or -r should be included. If more than one is included, the first one from the list (-d, -f, -r) is used and any other is ignored.

The format string starts with a plus (+) and contains any of the format directives described in Date::Manip::Date.

KNOWN BUGS
None known.

BUGS AND QUESTIONS
Please refer to the Date::Manip::Problems documentation for information on submitting bug reports or questions to the author.

SEE ALSO
Date::Manip::Date

LICENSE
This script is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

AUTHOR
Sullivan Beck (sbeck@cpan.org)